64 bit 執行 lazybuntu 的方法 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



64 bit 執行 lazybuntu 的方法
會員五級
註冊日期:
2007/3/29 10:54
來自 歹頑
所屬群組:
已註冊使用者
等級: 21
HP : 0 / 506
MP : 177 / 21935
EXP: 27
離線
(注意!標題也講了...只是"執行"的方法)

一直以來都是用32Bit的小U...
用久了就覺得大量的RAM晾再一邊都沒用很浪費(8gb :p)
在小W裏面至少還可以開RamDisk來玩
小U裡就不確定有沒有RD能用了...
所以皮癢就裝了64 Bit來玩
慣好之後抓下 lazybuntu 來裝嚇然發現......

什麼?!不能用!?

上網查了一下才發現不支援 64 Bit...真給他XP <-face
可是還是有一兩篇文章的大大們有在64Bit底下給他Run起來
一直很疑惑...
反覆試了各種執行方式來戳看看lazybuntu會不會動
不動就是不動於是就把他刪了...想說要用再抓就好
然後就在昨天!(抱歉!~說了一堆廢話XD)
竟然讓我Run起來了!!

==========
方法就是...
把lazybuntu copy到ntfs / fat系列 的磁區再去執行!!!
目前試了兩台發現都ok...(這裡是只執行)
==========

有圖有證據
http://overing.myweb.hinet.net/sshot.png

也許有人早就知道了...
不過還是分享給
苦著因為裝64bit而不能"懶人"一下的各位可
以去玩玩看
不過要注意的是...估計即使裝了也可能會有bug
原因在於lazybuntu安裝的東西可能只是去抓32BIT的版本
在64上面會有問題
所以作者才限制只能在32上面執行...
當然!~也有可能是其他問題...
不過像是字型還是圖示等等一些小工具
應該就跟32bit/64bit無關了...
所以還是有執行的價值

還是希望作者能加油把原生64版的寫出來
小的懂一點點程式...有需要可以商量看看
我想在這的u同好們應該也會很樂意幫忙的

目前再進行套件安裝
看看有什麼問題再上來這講

2008/10/14 3:20
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 35976
EXP: 67
離線
睡前(?)做的Lazybuntu amd64 port
載點
在amd64系統上編的
唯一有改的是把 w32codecs 改成 non-free-codecs
因為其他的似乎沒什麼差

有在 Ubuntu 8.04.1 上測過,好像沒有問題( 不過因為我自己是 Debian + KDE4,所以實際上是開VirtualBox在測 = = )

有興趣的可以測一下

2008/10/14 4:51
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
會員四級
註冊日期:
2008/5/10 10:23
來自 烏煙"賬"氣的香港
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 460
MP : 146 / 18437
EXP: 43
離線
之前上網爬文安裝lib32這套件,可以執行32-bit軟件於64-bit之中,但我沒有去試。

2008/10/14 15:38
膠神萬歲
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
會員五級
註冊日期:
2007/3/29 10:54
來自 歹頑
所屬群組:
已註冊使用者
等級: 21
HP : 0 / 506
MP : 177 / 21935
EXP: 27
離線
還是有差別的
早上起來看到像是Skype還是一些軟體等
都是在下載完要安裝得時候出現

套件體系架構(i386)與本機系統架構(amd64)不符

之類的訊息...無法成功安裝
往上去看他抓的套件名稱都代有...x86或i386之類的
這邊執行的是官方的0.1.5版

剛剛有是了糟糕人類大大的64Bit版也是
不過~影音code能解決就能定居64bit了...
謝謝

2008/10/14 18:24
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 35976
EXP: 67
離線
Overing 寫到:
還是有差別的
早上起來看到像是Skype還是一些軟體等
都是在下載完要安裝得時候出現

套件體系架構(i386)與本機系統架構(amd64)不符

之類的訊息...無法成功安裝
往上去看他抓的套件名稱都代有...x86或i386之類的
這邊執行的是官方的0.1.5版

剛剛有是了糟糕人類大大的64Bit版也是
不過~影音code能解決就能定居64bit了...
謝謝


hmm...
能詳述一下是哪些部分有問題嗎?w32codecs/w64codecs的問題應該是有解決才是
說明文字的部分就先別算...因為我懶得改XD

[Edited]
Skype部分己修正,改用Medibuntu裡附的套件(這算是漏網之魚...因為這個是直接寫在ui的裡...沒看到= =)
RealPlayer剛剛找了一下
amd64的解法要折騰一番
我是覺得有w64codecs應該就可以了啦....
這個可能要晚一點才會出來

修正後載點

2008/10/14 19:34
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
會員五級
註冊日期:
2007/3/29 10:54
來自 歹頑
所屬群組:
已註冊使用者
等級: 21
HP : 0 / 506
MP : 177 / 21935
EXP: 27
離線
ダメ人間 寫到:
Overing 寫到:
還是有差別的
早上起來看到像是Skype還是一些軟體等
都是在下載完要安裝得時候出現

套件體系架構(i386)與本機系統架構(amd64)不符

之類的訊息...無法成功安裝
往上去看他抓的套件名稱都代有...x86或i386之類的
這邊執行的是官方的0.1.5版

剛剛有是了糟糕人類大大的64Bit版也是
不過~影音code能解決就能定居64bit了...
謝謝


hmm...
能詳述一下是哪個部分有問題嗎?w32codecs/w64codecs的問題應該是有解決才是
說明文字的部分就先別算...因為我懶得改XD


video code的部份我想應該是有ok
現在是用VNC(vino server)從上班的地點遠端回去
沒辦法確認能否正常播放一些小W格式的影片
等下班吧!~XD
上面是說基本上video code搞定了就能繼續用64bit了

至於Error的部份
我指的是其他軟體~像是
Adobe Reader
Skype
MadEdit
等...(用到的不多~沒有全裝)
都會以抓取 *_i386.deb 後綴的套件來裝
所以下載完套件檔案要安裝的時候就會出現

dpkg:處理 xxx_i386.deb (--install) 時出錯:
套件的體系架構(i386)與本機系統的架構(amd64)不符
在處理套件時有錯誤發生:
xxx_i386.deb

之類的訊息...
這些是還好~自己 apt-get 一下應該就解決了

2008/10/14 20:12
應用擴展 工具箱
回復: 64 bit 執行 lazybuntu 的方法
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 35976
EXP: 67
離線
MadEdit己修正

修正後載點
修改內容

RealPlayer和AdobeReader皆無給amd64的直覺解法...(PDF我一直是用Okular,沒裝過Adobe)
懇請前輩們賜教 = =

2008/10/14 20:28
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.